ALAS-2021-1488


Amazon Linux AMI Security Advisory: ALAS-2021-1488
Advisory Release Date: 2021-03-18 17:30 Pacific
Advisory Updated Date: 2021-03-19 22:55 Pacific
Severity: Medium

Issue Overview:

An out-of-bound write access flaw was found in the way QEMU loads ROM contents at boot time. This flaw occurs in the rom_copy() routine while loading the contents of a 32-bit -kernel image into memory. Running an untrusted -kernel image may load contents at arbitrary memory locations, potentially leading to code execution with the privileges of the QEMU process. (CVE-2020-13765)

An assertion failure flaw was found in QEMU in the network packet processing component. This issue affects the "e1000e" and "vmxnet3" network devices. This flaw allows a malicious guest user or process to abort the QEMU process on the host, resulting in a denial of service. (CVE-2020-16092)


Affected Packages:

qemu-kvm


Issue Correction:
Run yum update qemu-kvm to update your system.

New Packages:
src:
    qemu-kvm-1.5.3-156.26.amzn1.src

x86_64:
    qemu-kvm-tools-1.5.3-156.26.amzn1.x86_64
    qemu-kvm-1.5.3-156.26.amzn1.x86_64
    qemu-kvm-debuginfo-1.5.3-156.26.amzn1.x86_64
    qemu-kvm-common-1.5.3-156.26.amzn1.x86_64
    qemu-img-1.5.3-156.26.amzn1.x86_64